
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2507

BD Create new Review Deteil based on the latest template

02/24/2017 06:48 AM - Oleksii Kurasov

Status: Closed Start date: 02/24/2017

Priority: Normal Due date: 03/13/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 03/01/2017 12:10 PM - Oleksii Kurasov

- Due date changed from 02/27/2017 to 03/02/2017

- Assignee set to Oleksii Kurasov

#2 - 03/01/2017 01:01 PM - Oleksii Kurasov

- Status changed from New to In Progress

#3 - 03/03/2017 04:40 AM - Oleksii Kurasov

- Due date changed from 03/02/2017 to 03/03/2017

#4 - 03/06/2017 04:19 AM - Oleksii Kurasov

- Due date changed from 03/03/2017 to 03/07/2017

#5 - 03/09/2017 03:54 AM - Oleksii Kurasov

- Due date changed from 03/07/2017 to 03/09/2017

#6 - 03/10/2017 03:18 AM - Oleksii Kurasov

- Due date changed from 03/09/2017 to 03/10/2017

#7 - 03/13/2017 10:42 AM - Oleksii Kurasov

- Due date changed from 03/10/2017 to 03/13/2017

#8 - 03/14/2017 05:47 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
